Loading...
Searching...
No Matches
ranges::views::enumerate_fn Struct Reference

Lazily pairs each element in a source range with its corresponding index. More...

`#include <range/v3/view/enumerate.hpp>`

Inheritance diagram for ranges::views::enumerate_fn:

## Public Member Functions

template<typename Rng > requires viewable_range<Rng>
auto | operator() (Rng &&rng) const

## Related Symbols

(Note that these are not member symbols.)
constexpr view_closure< enumerate_fn > | enumerate {}

## Detailed Description

Lazily pairs each element in a source range with its corresponding index.